Very annoying firmware bug

Hi. There’s a very annoying bug in the Surpad firmware that prevent to set as preferred any other launcher instead of the default one. Will there be any fix for it?
Assuming that this (very good) tablet is the “forgotten one” of the producer (no official answers in the forum, no original firmware to download, no upgrade in the future, no accessories including no cover), I think I know the answer by myself from the beginning, and preparing to stay with the very limited quickstep launcher for ever, but, as we say in Italy, hope is the last to die.
Thank you very much.

I have the same problem, i hope in an official answer too… It’s a very annoying bug

Everyone has it, because the tablet is born with it… It’s very annoying but none is hearing our request of help…